apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: tfs-ingress-dom4
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  ingressClassName: tfs-ingress-class-dom4
  rules:
  - http:
      paths:
        - path: /webui(/|$)(.*)
          pathType: Prefix
          backend:
            service:
              name: webuiservice
              port:
                number: 8004
        - path: /grafana(/|$)(.*)
          pathType: Prefix
          backend:
            service:
              name: webuiservice
              port:
                number: 3000
        - path: /context(/|$)(.*)
          pathType: Prefix
          backend:
            service:
              name: contextservice
              port:
                number: 8080
        - path: /()(restconf/.*)
          pathType: Prefix
          backend:
            service:
              name: computeservice
              port:
                number: 8080
